RK-J - Feature #2642

Dynamically include the right "math formula display" library
10/05/2022 05:35 AM - Ram Kordale

Status: Closed Start date: 10/05/2022
Priority: Normal Due date: 10/21/2022
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 8.50 hours
Description

Today, the right library needs to be hard coded to be included.
Going forward, if a lib is required, 1.txt will contain a new name value pair in the top section after the max-node-id-in-mg line as
#%&mathlib:<lib>#%& where <lib> is one of 'mathjax’ or 'katex’

if no lib is needed, this line will just be absent.

Subtasks:

Task # 2643: Add mathlib for the ingestion. Save in the datastore. Closed
Task # 2644: Support mathlib for the overwrite ingestion. Closed
Task # 2645: Retrieve mathlib from the datastore for the api's. Closed
Task # 2646: Test the backend support for the mathlib. Closed
Task # 2647: FE: Use mathlib field for showing mathjax & katex. Closed
Task # 2648: Test mathlib functionality is working or not for the different books. Closed
Task # 2658: Add mahlib for the existing book in the datastore or else overwrite the bo... Rejected
History

#1 - 10/05/2022 05:47 AM - Ayush Khandelwal

- Status changed from New to In Progress

#2 - 10/11/2022 05:39 AM - Ayush Khandelwal

- Status changed from In Progress to Resolved

#3 - 10/11/2022 06:25 AM - Ayush Khandelwal

- Status changed from Resolved to Feedback

Working as expected on QA

#4 - 10/21/2022 12:09 PM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

#5 - 03/29/2023 09:38 AM - Ram Kordale
- Status changed from Feedback to Closed
